# javax.management.remote

## Interfaces

- JMXAddressable
- JMXAuthenticator
- JMXConnector
- JMXConnectorProvider
- JMXConnectorServerMBean
- JMXConnectorServerProvider
- MBeanServerForwarder

## Classes

- JMXConnectionNotification
- JMXConnectorFactory
- JMXConnectorServer
- JMXConnectorServerFactory
- JMXPrincipal
- JMXServiceURL
- NotificationResult
- SubjectDelegationPermission
- TargetedNotification

## Exceptions

- JMXProviderException
- JMXServerErrorException